typedef struct {
  Uint8 **frame;
  int nframes;
}animation;

typedef struct {
  Uint8 decalage;
  SDL_Palette *palette;
  animation **anims;
  int nanims;
  char *nom;
}Sprite;

SDL_Rect spr_rect;
Sprite *couleurs;
Sprite *sol, *bloc, *mur, *fleche, *teleport, *tunnel, *bouton, *fontaine;
Sprite *bombe, *flammes, *bonus, *etoiles;
Sprite *sprit[8], *fauxsprit[MAX_NPERSO];//, *troll, *barbare, *magus, *citrouille;
Sprite *tous_les_sprites[256];
int nsprites;

extern int decl;

void blitsprit(Sprite *spr, int anim, int frame, int x, int y);
Sprite * charge_sprite(const char *nom, int decalage);
void charge_graphs(FILE *);
void charge_sprites(Sprite **, char **spritliste, int n);
void detruit_sprite(Sprite *spr);
void detruit_sprites(void);
